Package com.sun.jna.platform.mac

# Class CoreFoundation.CFIndex

java.lang.Object
java.lang.Number
com.sun.jna.IntegerType
com.sun.jna.NativeLong
com.sun.jna.platform.mac.CoreFoundation.CFIndex

All Implemented Interfaces:
  `NativeMapped`, `Serializable`

Enclosing interface:
  CoreFoundation

public static class CoreFoundation.CFIndex extends NativeLong
A wrapper for the `NativeLong` type, used for `CoreFoundation.CFNumberRef` types, `CoreFoundation.CFStringRef` lengths, and `CoreFoundation.CFArrayRef` sizes and indices.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.sun.jna.NativeLong

`SIZE`

## Constructor Summary

Constructors
Constructor
Description
`CFIndex()`
`CFIndex(long value)`

## Method Summary

### Methods inherited from class com.sun.jna.IntegerType

`compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CFIndex

public CFIndex()

### CFIndex

public CFIndex(long value)